Como instalar AceStream en Linux e non morrer probando

Os que amamos o deporte e non temos acceso a todas as canles deportivas actuais, normalmente enfrontámonos ao problema de que para gozar del debemos facer uso de varias páxinas que transmiten partidos en liña, a maioría deles solicitan instala AceStream, que tende a ser un pouco complexo de instalar en Linux.

Nesta guía imos ensinar como instale AceStream en Linux sen morrer no intento, proporcionando solucións aos problemas máis comúns na actualidade. O seu uso e o contido ao que acceda é da súa total responsabilidade.

Que é AceStream?

AceStream é un plataforma multimedia bastante innovador, o que levou a reprodución de audiovisuais en internet a un nivel superior. Para iso, implementou un xestor universal para a carga de ficheiros multimedia, que utiliza as tecnoloxías P2P máis avanzadas, garantindo un proceso de transmisión e almacenamento de datos eficiente.

O software Ace Stream ofrécenos unha serie de vantaxes nas que podemos destacar:

  • Posibilidade de ver emisións en liña (TV, fluxos personalizados, películas, debuxos animados, etc.), con alta calidade de son e imaxe.
  • Escoita música en liña nun formato que non perde calidade.
  • Ver torrents en liña sen ter que esperar a que se descargue completamente.
  • Permite ver contido en dispositivos remotos (Apple TV, Chromecast, etc.) a través de protocolos de comunicación como AirPlay, Google Cast e outros.
  • Permite a integración con varias aplicacións. Instale AceStream en Linux

Como instalar AceStream en Linux

Para instalar AceStream en Linux debemos seguir varios pasos dependendo da distribución que use, centrarémonos en Arch Linux e Ubuntu, pero esperamos que no futuro poida instalalo noutras distros.

Instale AceStream en Arch Linux e derivados

A principal razón pola que fixen este artigo é porque moitos tiveron problemas para instalar AceStream en Arch Linux, Antergos, Manjaros e derivados, a principal causa é que o pkgbuild do complemento esteream-mozilla-plugin Dá un erro ao instalar, a solución é extremadamente sinxela.

Imos instalar o esteream-mozilla-plugin que tamén nos instalará esteream-engine y esteream-player-data cales son os paquetes necesarios para reproducirse AceStream de Firefox.

Primeiro de todo debemos abrir un terminal e executar o seguinte comando:
gpg --keyserver pgp.mit.edu --recv-keys FCF986EA15E6E293A5644F10B4322F04D67658D8

Solucionará o problema de verificación que impide instalar a dependencia necesaria para instalala esteream-mozilla-plugin.

Despois executamos o seguinte comando

yaourt -S acestream-mozilla-plugin

En reiteradas ocasións preguntaranos se queremos instalar varias dependencias, debemos dicir que si a todos.

Instale AceStream en Ubuntu e derivados

Instale AceStream en Ubuntu 14.04 e derivados

Para os usuarios de Ubuntu e derivados ata a versión 14.04, a instalación de AceStream será bastante sinxela, só teñen que executar os seguintes comandos desde o terminal:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install esteream-full

Instale AceStream en Ubuntu 16.04 e derivados

Os que terán que loitar un pouco máis son os usuarios de Ubuntu 16.04 e derivados xa que acestream non ten soporte para esta versión, pero grazas a isto artigo, Conseguín instalalo.

O primeiro que imos facer é descargar e instalar algunhas dependencias que non poderá descargar dos repositorios oficiais, asegúrese de instalar as adecuadas para a arquitectura da súa distribución:

Arquitectura de 64 bits:

  1. Descarga e instala libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb podes facelo dende a seguinte ligazón: http://launchpadlibrarian.net/216005292/libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb
  2. Descarga e instala na orde na que se presentan as seguintes dependencias:  acestream-player-compat_3.0.2-1.1_amd64.deb; acestream-engine_3.0.3-0.2_amd64.deb; acestream-player-data_3.0.2-1.1_amd64.deb; acestream-player_3.0.2-1.1_amd64.deb Podes descargalos cada un dende a seguinte ligazón: https://drive.google.com/folderview?id= … e_web#list

Arquitectura de 32 bits:

  1. Descarga e instala libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb podes facelo dende a seguinte ligazón: http://launchpadlibrarian.net/216005191/libgnutls-deb0-28_3.3.15-5ubuntu2_i386.deb
  2. Descarga e instala na orde na que se presentan as seguintes dependencias: acestream-player-compat_3.0.2-1.1_i386.deb; acestream-engine_3.0.3-0.2_i386.deb; acestream-player-data_3.0.2-1.1_i386.deb; acestream-player_3.0.2-1.1_i386.deb Podes descargalos cada un dende a seguinte ligazón: https://drive.google.com/folderview?id= … e_web#list

Despois debemos continuar coa instalación habitual de AceStream como fixemos para a versión 14.04, abrir un terminal e executar:

echo 'deb http://repo.acestream.org/ubuntu/ trusty main' | sudo tee /etc/apt/sources.list.d/acestream.list sudo wget -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add - sudo apt-get update sudo apt-get install esteream-full

Nalgúns casos é necesario iniciar o servizo acestream-engine.service, para iso executamos os seguintes comandos desde o terminal:

systemctl start thisream-engine.service systemctl enable acestream-engine.service

Con este tutorial esperamos que poida gozar deste estupendo protocolo de transmisión multimedia que emprega toda a capacidade da tecnoloxía P2P.


O contido do artigo adhírese aos nosos principios de ética editorial. Para informar dun erro faga clic en aquí.

41 comentarios, deixa os teus

Deixa o teu comentario

Enderezo de correo electrónico non será publicado. Os campos obrigatorios están marcados con *

*

*

  1. Responsable dos datos: Miguel Ángel Gatón
  2. Finalidade dos datos: controlar SPAM, xestión de comentarios.
  3. Lexitimación: o seu consentimento
  4. Comunicación dos datos: os datos non serán comunicados a terceiros salvo obrigación legal.
  5. Almacenamento de datos: base de datos aloxada por Occentus Networks (UE)
  6. Dereitos: en calquera momento pode limitar, recuperar e eliminar a súa información.

  1.   Julio Cesar Campos dixo

    Ben, a publicación, pero polo menos en archlinux e este foi o meu caso que necesitas: "systemctl start thisream-engine.service" e "systemctl enable thisream-engine.service" para que funcione.

    1.    lagarto dixo

      Estabas a probalo desde Firefox ou empregabas outro navegador?

  2.   UserDebian dixo

    Alguén sabe como facelo funcionar en Debian 9?

  3.   Julio Cesar Campos dixo

    Firefox en archlinux

  4.   gecoxx dixo

    Non sei se o meu comentario anterior foi publicado ... Repito! Levo non sei cantas horas executando o maldito comando no terminal e iso poño –noconfirmar, e ao final non funciona !!
    outra publicación que non serve de nada!

    intento de instalación en Manjaro

    1.    lagarto dixo

      Estimado que non funcionou para ti, funcionou perfectamente para min, de todos os xeitos tenta executar estes 2 comandos:
      "Systemctl inicia esteream-engine.service" e "systemctl activa esteream-engine.service"

  5.   José dixo

    bo

    Conseguín facer todos os pasos sen ningún problema. Pero ao intentar iniciar o servizo desde o terminal deume dous fallos;
    systemctl inicia esteream-engine.service
    Produciuse un erro ao iniciar esteream-engine.service: non se atopou a unidade-engine.service.
    systemctl habilitar acestream-engine.service
    Produciuse un erro ao executar a operación: non existe ese ficheiro nin directorio

    1.    Gustavo dixo

      Pasoume exactamente o mesmo. o terminal rebótame eses comandos con eses fallos.

  6.   Juan M dixo

    Moitas grazas pola publicación. Se usa Ubuntu 16.10 64 bits, non poderá instalar "acestream-player-data_3.0.2-1.1_amd64.deb". Primeiro deben descargar e instalar estes paquetes:

    libavcodec-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    liblivemedia50_2016.02.09-1_amd64.deb
    libswresample-ffmpeg1_2.8.6-1ubuntu2_amd64.deb
    libavformat-ffmpeg56_2.8.6-1ubuntu2_amd64.deb
    libpng12-0_1.2.54-1ubuntu1_amd64.deb
    libswscale-ffmpeg3_2.8.6-1ubuntu2_amd64.deb
    libavutil-ffmpeg54_2.8.6-1ubuntu2_amd64.deb
    libpostproc-ffmpeg53_2.8.6-1ubuntu2_amd64.deb
    libwebp5_0.4.4-1.1_amd64.deb

    Probablemente sexa necesaria algunha outra dependencia que estea no repos.
    Saúdos!

  7.   Miles dixo

    Bo.
    Este plugin-mozilla-plugin deixou de funcionar en Firefox 52, como moitos outros complementos NPAPI.

  8.   darco dixo

    Outra opción moi boa e sinxela é empregar docker e converterse en agnóstico do seu sistema operativo. Usando o aceproxy, podes reproducilo-

    Escribín un pequeno tutorial e un script para facilitar a execución.
    https://gist.github.com/alex-left/7967dac44f2d2e31eabba2fae318a402

  9.   David Martín dixo

    Na parte de instalalo desde Ubuntu 16.04, cando dis descargar e instalar eses ficheiros, como os instala? Cando os descargo e extraio, algúns só son un ficheiro libreoffice e outros, non sei como "instalalos".
    Grazas por adiantado e saúdos.
    David.

  10.   vafe dixo

    Ou as teclas non funcionan de novo ou hai algún erro nos paquetes, pero en arch e manjaro é imposible instalalo.
    Cando se intenta instalar unha dependencia (qwebquit) ou algo así entra nun bucle e non hai xeito.
    Alguén atopou a solución?
    grazas

    1.    Alexander dixo

      Ola, para a instalación en arch linux debes facer o seguinte:
      -Instale o paquete 'acestream-launcher' de yaourt con 'yaourt -S acestream-launcher' (o paquete que imos habilitar a continuación descárgase automaticamente)
      -Habilite esteream-engine.service, entramos no terminal e no modo ROOT poñemos o seguinte
      -systemctl inicia esteream-engine.service
      -systemctl habilita acestream-engine.service
      Reiniciou a computadora despois diso, non sei se será necesario pero por se acaso
      -Esto debería ser suficiente, pero nas últimas actualizacións de Arch arruinaron algo e non funciona, polo que buscaron unha solución temporal, que consiste en descargar un ficheiro, é o seguinte:
      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz
      Fuente: https://aur.archlinux.org/packages/acestream-launcher/ (nos comentarios)
      unha vez descargado, dirixímonos ao terminal e dirixímonos ao cartafol onde o descargamos,
      Procedemos a instalalo con 'sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz' e xa está, debería ir, a primeira vez que nunca vai, así que fago unha segunda vez, a primeira vez sempre dá erro, iso é todo

      PD: aclarar que o sudo pacman -U e non -S porque é un paquete local obtido de makepkg

      1.    vafe dixo

        Moitas grazas polo teu interese.
        Tenteino tantas veces que xa sei de memoria as dependencias e os comentarios aos paquetes ao instalar con yaourt. Vou seguir os teus consellos co lanzador e ver se teño sorte. Xa cho contarei.
        Repito o meu agradecemento

        felipe

        1.    vafe dixo

          Dun xeito ou doutro non funciona. Tentei coa ligazón que puxeches nos comentarios, pero non a resolve, recoñece a ligazón, dame a opción de escoller o programa, escollo esteream-launcher pero o VLC non se abre.
          Na consola dame a seguinte resposta.

          Ficheiro «/usr/lib/python3.6/site-packages/psutil/inicio.py », liña 1231, en _enviar_sinal
          os.kill (self.pid, sig)

          Teremos que agardar por novas actualizacións.
          Grazas pola axuda.

  11.   vafe dixo

    Despois da nova actualización, a resposta na consola é a seguinte.

    acestream-launcher acestream://0cec6c0299c99f45c1859398d150c3a48e6d8b2e
    Esteream motor en funcionamento.
    2017-07-28 18: 16: 59,615 | MainThread | acestream | erro durante o inicio
    Traceback (última chamada máis recente):
    Ficheiro «core.c», liña 1590, en
    Ficheiro «core.c», liña 144, en
    Ficheiro «core.c», liña 2, en
    Error de importación: non se pode importar o nome __m2crypto
    Erro ao autenticarse a Acestream.
    O reprodutor multimedia non está en execución ...

    Estamos mellorando, agora recoñece o esteream, pero o libcrypto segue loitando.

    1.    vafe dixo

      Intentei a instalación do paquete que recomenda na ligazón que me enviou.

      - https://archive.archlinux.org/packages/p/python2-m2crypto/python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

      E soluciona efectivamente o problema, vlc abre e Acestream funciona.
      Moitas grazas pola vosa axuda-

      1.    Alexander dixo

        Ola, perdón polo atraso, foi moi estraño que non funcionara para ti cando o fixo, estou en plasma Arch, alégrome de que che axudase, para iso estamos

        Na outra distribución que teño, que é Fedora, o que teño é Wine emulando esteream para windows xD, no caso de que vaias a outra distro ou no mesmo Arch, o que me sorprende é que nin sequera en Debian teñan estes paquetes ...

      2.    fabricante de delicias01 dixo

        Ola e o ficheiro é como se instala. Sigo sendo un novato, un saúdo

        1.    vafe dixo

          sudo pacman -U python2-m2crypto-0.23.0-2-x86_64.pkg.tar.xz

          Pono no comentario anterior

  12.   chemabs dixo

    Onte instaleino como paquete instantáneo en Kde Neon 5.8 e sorprendeume o sinxelo e rápido que funcionou para min. Estaría ben que actualizas o artigo porque non hai comparación, o proceso simplifícase moito.

    sudo apt install snapd → instala o sistema de xestión de paquetes snap (se non o tes instalado)
    snap find thisream → para comprobar que temos o programa nos repositorios (todos os derivados de ubuntu deberían telo)
    sudo instalar instantaneamente estereamplayer

    lembranzas

    1.    Antonio Manzano dixo

      Tes razón. Acabo de instalalo en kubuntu 17.10, xa que o método que aparece aquí é totalmente inviable. Moitas grazas

      1.    Papá dixo

        non válido para a arquitectura i386

    2.    sie9k dixo

      Foi o único xeito de poder instalalo en Lubuntu 16.04.4, pero non hai xeito de gardar o ficheiro de configuración e preciso configurar un parámetro para que funcione xunto a Serviio. Algunha idea para solucionalo?

  13.   José Antonio dixo

    Moi boa publicación. Un sitio web de lectura obrigada para os novatos en Linux.

  14.   Peter o novato dixo

    Como o instalarías para AntiX 16 (é unha distribución Linux)?

    Tenteino como Arch Linux e derivados, pero son tan novato que debo equivocalo

  15.   Alexander dixo

    Ola, cos paquetes sna, que o compañeiro anterior comenta nun comentario, fíxose máis doado non só para estas distribucións senón para moitos. As distribucións compatibles con estes paquetes están aquí:
    https://snapcraft.io/

    En Debian sería o seguinte:
    -sudo apt install snapd
    -sudo de instalación de snap snap
    -sudo instalar instantaneamente estereamplayer
    En Arch e derivados:
    -sudo pacman -S snapd
    -sudo systemctl habilitar –agora snapd.socket
    -sudo instalar instantaneamente estereamplayer

    En Arch (plasma) tiven que reiniciar para que aparezan os paquetes instalados, se non aparece xa sabes que facer.

    En Ubuntu e derivados supoño que será como o compañeiro que o instalou nos comentarios con neon de KDE.

    É curioso que en Gnome con Debian pareza bastante feo e non se integre ben con GTK pero no Arch plasma intégrase bastante ben, o importante é que se vexa fóra da estética.

    1.    William dixo

      ¿instálalle esteream-engine?
      Eu non

      1.    Alexander dixo

        Ola, non, non o instala nin fai falta, cos paquetes snap xa chegan todas as dependencias cubertas, ten que funcionar si ou si.

    2.    txuber dixo

      Ola Alejandro, a ver se me podes axudar
      [txuber @ manjaro ~] $ sudo systemctl enable – now snapd.socket
      Produciuse un erro ao habilitar a unidade: o ficheiro de unidade \ xe2 \ x80 \ x93now.service non existe.
      sobre manjaro Manjaro XFCE Edition (17.0.4) x64

      1.    Alexander dixo

        Ola, Manjaro é que non é Arch puro e a cousa pode cambiar un pouco, é posible que xa estea habilitado e non sexa necesario facelo, supoño que xa intentaches saltar ese paso ...

  16.   Debian dixo

    Unha vez instalado que facer? Como o ace-player non está instalado, non sei como facelo funcionar.
    Alguén me axude por favor?

    1.    vafe dixo

      Se o que tes instalado é o lanzador de esteream, cando fas clic nunha ligazón esteream preguntarache con que aplicación queres abrir a ligazón, dille que con VLC, e este é o que fará as funcións do ace-player

      1.    Debian dixo

        Ola. Primeiro de todo, moitas grazas pola túa axuda. Comento. Instalei o paquete snap acestream en Debian 9 con gnome. Cando estou en arenavisión, que é o que quero, fago clic nunha ligazón esteream e aparece unha ventá que me dá dúas opcións, a primeira é estereamengine que se fago clic nesta non fai nada e a segunda é escoller outra aplicación, doulle para escoller pero as aplicacións instaladas non se abren, ábrese o meu cartafol persoal, polo que non sei como seleccionar o vlc.

        Un saúdo.

        1.    Alexander dixo

          Co esteream-launcher non sae moi ben, é mellor instalalo co paquete Snap como explico no comentario anterior.

  17.   Peter o novato dixo

    Intento instalar o paquete snapd, pero non me permite:

    sudo apt install snapd
    Lectura da lista de paquetes ... Feito
    Creación de árbore de dependencias
    Lectura da información de estado ... Feito
    E: non se puido localizar o paquete snapd

    Que fago?

  18.   Alf dixo

    Moitas grazas, é un dos programas que usei en Windows e quería telo en Linux

  19.   oscar dixo

    Grazas Chemabs e Alejandro! Perfecto con Ubuntu 17.10
    sudo apt install snapd
    snap atopar esteream
    sudo instalar instantaneamente estereamplayer
    E xa está!
    O incrible é que vaias ao sitio web oficial e que che envíen unha publicación no seu foro a partir de 2014. E no que só mencionan ata Ubuntu 13.04!

  20.   Marco Barria dixo

    bo, como din nos comentarios anteriores funciona perfectamente con snapd in arch:

    sudo pacman -S snapd
    sudo systemctl habilitar snapd.socket
    reinicio
    sudo instalar instantaneamente estereamplayer
    reinicio

    e listo:

  21.   mchavez dixo

    ola, e hai un xeito de instalar o stream sen ter que ser programador ... como se fai con Windows